Skip to content

Encryption keys

All operations require authentication.

4 operationsv1/dbaas/logs
Agent setup

List encryption keysProduction

GET
/1.0/dbaas/logs/{serviceName}/encryptionKey

Returns the encryption keys of the Logs Data Platform service.

Path parameters

serviceName
required
string

Service name

Query parameters

titlePattern
string

Filter by title (like)

Response

200string[]successful operation
404objectError 404 response

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/encryptionKey \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "00000000-0000-0000-0000-000000000000"]

Get an encryption keyProduction

GET
/1.0/dbaas/logs/{serviceName}/encryptionKey/{encryptionKeyId}

Returns the encryption key.

Path parameters

encryptionKeyId
required
stringuuid

Encryption key ID

serviceName
required
string

Service name

Response

200EncryptionKeysuccessful operation
algorithm
read-only
EncryptionKeyAlgorithmEnum

Encryption Key algorithm

ValuesECC25519RSA4096
content
required
stringpassword

Encryption Key content

createdAt
read-only
stringdate-time

Encryption Key creation date

encryptionKeyId
read-only
stringuuid

Encryption Key ID

fingerprint
required
string

Encryption Key fingerprint

isEditable
read-only
boolean

Indicates if you are allowed to edit entry

nbArchive
read-only
integer

Number of archives encrypted with this Encryption Key

title
required
string

Encryption Key title

uid
read-only
string

Encryption Key user ID

403objectError 403 response
404objectError 404 response

Example uses encryptionKeyId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/encryptionKey/{encryptionKeyId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "algorithm": "ECC25519", "content": "string", "createdAt": "2024-01-01T12:00:00Z", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "fingerprint": "string", "isEditable": true, "nbArchive": 0, "title": "string", "uid": "string"}

Create an encryption keyProduction

POST
/1.0/dbaas/logs/{serviceName}/encryptionKey

Creates an encryption key on the Logs Data Platform service.

Path parameters

serviceName
required
string

Service name

Request body (required)

algorithm
read-only
EncryptionKeyAlgorithmEnum

Encryption Key algorithm

ValuesECC25519RSA4096
content
required
stringpassword

Encryption Key content

createdAt
read-only
stringdate-time

Encryption Key creation date

encryptionKeyId
read-only
stringuuid

Encryption Key ID

fingerprint
required
string

Encryption Key fingerprint

isEditable
read-only
boolean

Indicates if you are allowed to edit entry

nbArchive
read-only
integer

Number of archives encrypted with this Encryption Key

title
required
string

Encryption Key title

uid
read-only
string

Encryption Key user ID

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response
409objectError 409 response

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/encryptionKey \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}

Delete an encryption keyProduction

DELETE
/1.0/dbaas/logs/{serviceName}/encryptionKey/{encryptionKeyId}

Deletes the encryption key.

Path parameters

encryptionKeyId
required
stringuuid

Encryption key ID

serviceName
required
string

Service name

Response

200Operationsuccessful operation
aliasId
read-only
stringuuid

Alias used

createdAt
read-only
stringdate-time

Operation creation

dashboardId
read-only
stringuuid

Dashboard used

encryptionKeyId
read-only
stringuuid

Encryption key used

indexId
read-only
stringuuid

Index used

inputId
read-only
stringuuid

Input used

operationId
read-only
stringuuid

Operation ID

osdId
read-only
stringuuid

OpenSearch Dashboards used

roleId
read-only
stringuuid

Role used

serviceName
read-only
string

Service name

state
read-only
OperationStateEnum

Operation status

ValuesFAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESS
streamId
read-only
stringuuid

Stream used

subscriptionId
read-only
stringuuid

Subscription used

tenantId
read-only
stringuuid

Metrics tenant used

tokenId
read-only
stringuuid

Token used

updatedAt
read-only
stringdate-time

Operation last update

403objectError 403 response
404objectError 404 response

Example uses encryptionKeyId = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dbaas/logs/{serviceName}/encryptionKey/{encryptionKeyId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}